Subject: RE: bug#24237: 24.5; (elisp)`Extended Menu Items', :filter warning

From: Drew Adams <[email-masked]>
Date: Sat, 19 Dec 2020 17:23:30 -0800 (PST)

> I agree that this kludge shouldn't be documented.  It is very strange to
> bind keys to menu-bindings just for :filter, 

It's not strange to do that for menu items.
What's "strange", aka unexpected/new, is to
do it for keyboard keys.

> and if we document it we in effect say that this is
> the preferred way of doing this stuff.

Preferred way?  No.  It's the _only_ way (AFAIK).

> > It is also quite useful.  If you refuse to elevate it
> > to doc-worthiness, then please change this bug to an
> > enhancement request to provide the same feature
> > _without_ having to use `menu-item' with :filter.
> >
> > Otherwise, I will I guess submit such an enhancement
> > request.  Elisp users shouldn't have to resort to an
> > undocumented kludge to get this useful behavior.
> 
> It makes sense to me to file such a feature request.

Done: bug #45329.